Будущие версии браузера Mozilla Firefox будут автоматически предупреждать
пользователей в том случае, если они используют уязвимые варианты Adobe Flash
Media Player, содержащие известные баги в системе безопасности.

Согласно

опубликованной информации
, данная проверка будет осуществляться во время
каждого обновления браузера. Если на компьютере пользователя установлена одна из
устаревших версий приложения от Adobe, он получит уведомление об этом на
странице "What’s New", которая автоматически открывается всякий раз после
обновления браузера.

Эта функция, как сообщается, уже доступна для бета-версий Firefox с номерами
3.5.3 и 3.0.14. Впрочем, официальных комментариев от представителей Mozilla пока
нет.

Предпринятый разработчиком шаг можно назвать весьма своевременным, учитывая
те трудности, которые многие пользователи испытывают при попытке регулярной
установки обновлений от Adobe. Так, опубликованный в прошлом месяце

отчет (PDF) фирмы Trusteer
свидетельствует о том, что 80% пользователей ПК
не могут установить на свои компьютеры одно или несколько критических обновлений
даже спустя более двух недель с момента их выхода. Считается, что технологию
Flash использует 99% интернет-пользователей, что делает этот плеер одной из
самых вездесущих программ в мире, при этом баги в ней на постоянной основе
эксплуатируются злоумышленниками для установки кейлоггеров и других вредоносных
приложений.

Если новая функция Firefox будет включена в релизы, пользователи, не
установившие последнюю версию Flash, получат уведомление следующего содержания:
"Вы должны обновить Adobe Flash прямо сейчас. Firefox обновлен, однако ваша
текущая версия Flash может вызвать появление проблем с безопасностью и
стабильностью. Пожалуйста, установите бесплатное обновление как можно скорее".
Ссылка на загрузку будет прилагаться.



Оставить мнение